Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.apps.svgbrowser
Class HistoryBrowser.DocumentCommandController

    java.lang.Object
      org.apache.batik.apps.svgbrowser.HistoryBrowser.DocumentCommandController

All Implemented Interfaces:
  HistoryBrowser.CommandController

Enclosing class:
  HistoryBrowser

    public static class HistoryBrowser.DocumentCommandController

extends Object
implements HistoryBrowser.CommandController

Lets the DOMViewerController wrap the commands.

Field Summary
`protected DOMViewerController` | `controller` The DOMViewerController.
`protected int` | `state` The current state of the command controller.

Constructor Summary
`HistoryBrowser.DocumentCommandController(DOMViewerController controller)` The constructor.

Method Summary
`void` | `execute(UndoableCommand command)` Wrapps the execute method.
`int` | `getState()` Gets the state of the command controller.
`void` | `redo(UndoableCommand command)` Wrapps the redo method.
`void` | `undo(UndoableCommand command)` Wrapps the undo method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### controller

    protected DOMViewerController controller

  The DOMViewerController.

### state

    protected int state

  The current state of the command controller.

Constructor Detail

### HistoryBrowser.DocumentCommandController

    public HistoryBrowser.DocumentCommandController(DOMViewerController controller)

  The constructor.

  Parameters:
    `controller` - The DOMViewerController

Method Detail

### execute

    public void execute(UndoableCommand command)

  Description copied from interface: `HistoryBrowser.CommandController`
  Wrapps the execute method.

  Specified by:
    `execute` in interface `HistoryBrowser.CommandController`

### undo

    public void undo(UndoableCommand command)

  Description copied from interface: `HistoryBrowser.CommandController`
  Wrapps the undo method.

  Specified by:
    `undo` in interface `HistoryBrowser.CommandController`

### redo

    public void redo(UndoableCommand command)

  Description copied from interface: `HistoryBrowser.CommandController`
  Wrapps the redo method.

  Specified by:
    `redo` in interface `HistoryBrowser.CommandController`

### getState

    public int getState()

  Description copied from interface: `HistoryBrowser.CommandController`
  Gets the state of the command controller.

  Specified by:
    `getState` in interface `HistoryBrowser.CommandController`
  Returns:
    HistoryBrowserState

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.